<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <style>
      h1 {
          color: #cc8500;
      }

      .customer {
          width: 100%;
      }

      .services {
          width: 100%;
      }

      .services, .services th, .services td {
          border: solid #523e02;
          border-collapse: collapse;
      }

      .services th {
          background-color: #cc8500;
          color: white;
      }

      .services .head {
          font-weight: bold;
          text-align: right;
          border: solid #523e02;
          background: #cc8500;
          color: white;
      "
      }

      .wrapper {
          list-style-type: none;
          padding-left: 0;
      }

      .wrapper .main {
          font-weight: bold;
          color: #cc8500;
      }

      .pdf-image{
          text-align: right;
      }
  </style>
  <title>PDF Template</title>
</head>
<body>
<h1>Visit Report</h1>
<strong>Customer</strong><br/><br/>
<table class="customer">
  <tr>
    <td>
      <ul class="wrapper">
        <li class="main">Name:</li>
        <li>License plate:</li>
        <li>Brand</li>
        <li>VIN:</li>
        <li>Production year:</li>
      </ul>
    </td>
    <td>
      <ul class="wrapper">
        <li class="main" th:text="${visit.user.firstName + ' ' + visit.user.lastName}">Jacob Hansen</li>
        <li th:text="${visit.car.licensePlate}">CB3449HB</li>
        <li th:text="${visit.car.brand.name + ' ' + visit.car.carModel.name}">BMW X3</li>
        <li th:text="${visit.car.vin}">WDBRF40J43F433102</li>
        <li th:text="${visit.car.year}">2001</li>
      </ul>
    </td>
    <td style="vertical-align: bottom; text-align: right;">
      <ul class="wrapper">
        <li th:text="'Check-in Date: ' + ${visit.showCheckInDate()}">Check-in Date: 03/03/2021</li>
        <li th:text="'Check-out Date: ' + ${visit.showCheckOutDate()}">Check-out Date: 03/03/2021</li>
      </ul>
    </td>
  </tr>
</table>
<br/>
<table class="services">
  <tr>
    <td class="head" style="text-align: center;">Service</td>
    <td class="head">Price</td>
  </tr>
  <tr th:each="service:${visit.services}">
    <td style="text-align: left;" th:text="${service.name}">Oil Change</td>
    <td th:if="${exchangeRate == null}" style="text-align: right;"
        th:text="${#numbers.formatDecimal(service.price,1,2) + ' ' + 'BGN'}">345.00
    </td>
    <td th:unless="${exchangeRate == null}" style="text-align: right;"
        th:with="result=${service.price * exchangeRate}"
        th:text="${#numbers.formatDecimal(result,1,2) + ' ' + currency}">345.00
    </td>
  </tr>
</table>
<table style="width: 100%; text-align: right;">
  <tr>
    <td>
      <ul class="wrapper">
        <li th:if="${exchangeRate == null}" class="main"
            th:text="${#numbers.formatDecimal(visit.getTotalPrice(),1,2) + ' ' + 'BGN'}"></li>
        <li th:unless="${exchangeRate == null}" class="main"
            th:with="result=${visit.getTotalPrice() * exchangeRate}"
            th:text="${#numbers.formatDecimal(result,1,2) + ' ' + currency}"></li>
      </ul>
    </td>
  </tr>
</table>
<table>
  <tr>
    <td>
      <ul class="wrapper" style="border-top:double medium #cc8500;">
        <li class="main">Pit Stop Company</li>
        <li>Mad Dog Lane, Yorkshire, UK</li>
      </ul>
    </td>
  </tr>
</table>
</body>
</html>